<?php
require('../../asset/mod/autoLoad.php');
error_reporting(2);

if (isset($_POST['submitTutup'])) {
    $classCrud = new crudData;
    $classTabungan = new tabungan;
    $time = new time;
    $waktu = $time->getTime();
    $id_tutup = $_POST['id_tutup'];
    $username_close = $_POST['username_close'];
    //Tahun Depan
    $tahunDepan = $classTabungan->tahunDepan($tahun);
    $classTabungan->cekInsertPeriode($tahunDepan, $username);

    $dataarray1 = [
        'tahun' => $tahun,
        'status' => 'close',
        'closed_at' => $waktu,
        'closed_by' =>  $username_close,
        'id' =>  $id_tutup
    ];
    $update = $classCrud->updateData('tabungan_periode', $dataarray1, ['id', ' = ', $id_tutup]);


    //Open Tahun Depan

    $dataarray2 = [
        'tahun' => $tahunDepan,
        'status' => 'open',
        'closed_at' =>  '1901-01-01 00:00:00',
        'closed_by' => ''
    ];
    $update2 = $classCrud->updateData('tabungan_periode', $dataarray2, ['tahun', ' = ', $tahunDepan]);

    $classTabungan->importSaldo($tahun, $tahunDepan, $username_close);

    $direct = new toast();
    echo  $direct->redirect('toast', 'save', 'tutup/index');
} else {
    echo 'Error';
}
